For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
      • POSTCreate a file group
      • GETGet information about a file group
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
Upload APIGroups

Get information about a file group

GET
https://upload.uploadcare.com/group/info/
GET
/group/info/
$curl -G https://upload.uploadcare.com/group/info/ \
> -H "Content-Type: application/json" \
> -d pub_key=caa9d29da887ee88ffe6 \
> -d group_id=0d712319-b970-4602-850c-bae1ced521a6~1
200Retrieved
1{
2 "id": "0d712319-b970-4602-850c-bae1ced521a6~1",
3 "datetime_created": "2018-09-12T10:03:38.686710Z",
4 "files_count": 1,
5 "cdn_url": "https://ucarecdn.com/0d712319-b970-4602-850c-bae1ced521a6~1/",
6 "url": "https://api.uploadcare.com/groups/0d712319-b970-4602-850c-bae1ced521a6~1/",
7 "files": [
8 {
9 "uuid": "575ed4e8-f4e8-4c14-a58b-1527b6d9ee46",
10 "file_id": "575ed4e8-f4e8-4c14-a58b-1527b6d9ee46",
11 "size": 145212,
12 "total": 145212,
13 "done": 145212,
14 "original_filename": "test-image_1.jpg",
15 "filename": "testimage_1.jpg",
16 "mime_type": "image/jpeg",
17 "image_info": {
18 "width": 1920,
19 "height": 1080,
20 "format": "jpeg",
21 "color_mode": "RGB",
22 "orientation": 1,
23 "geo_location": null,
24 "dpi": [
25 72,
26 72
27 ],
28 "frames": 1,
29 "duration": null
30 },
31 "video_info": null,
32 "content_info": {
33 "size": 145212,
34 "mime_type": "image/jpeg"
35 },
36 "metadata": {
37 "uploaded": "2018-09-12T10:03:38.686710Z",
38 "source": "api"
39 },
40 "is_image": true,
41 "is_stored": true,
42 "is_ready": true,
43 "s3_bucket": null,
44 "default_effects": "resize/x800/"
45 }
46 ],
47 "datetime_stored": null
48}

Returns a JSON object with information about a file group (when the group was created, number of the files in the group, etc).

Was this page helpful?
Previous

Errors

Next
Built with

Query parameters

pub_keystringRequired
Public key identifying an Uploadcare project your uploads will go to.
group_idstringRequired

Group’s unique ID. Group IDs look like UUID~N, where the ~N part reflects the number of the files in the group.

Response

File group information was retrieved successfully.
idstring
Group's unique ID.
datetime_createddatetime

ISO-8601 date and time when the group was created.

files_countinteger
Number of the files in the group.
cdn_urlstringformat: "uri"
Group's CDN URL.
urlstringformat: "uri"

Group’s API resource URL. See the REST API documentation for details.

fileslist of any or null
The list of files in the group. An array may contain null values if a file has been removed.
datetime_storeddatetime or nullDeprecated
Deprecated. This field will be removed in a future version of the Upload API.